/*
   JSgui/js_list2.js
   created 2007-04-11 by Yann GUIDON
   version 2007-11-05 : rebranding to YASEP
   version 2008-11-30 : removed group_mov,
     group_misc, group_queue, group_pfq, group_smt
   version 2009-05-26 : added group_mul
   version 2009-07-10 : big changes that should enable minification
   version 2009-07-28 : objectified the whole JScore stuff
   version 2009-08-10 : yasep_fields2.js just after yasep_forms2.js so F4 and F8 are defined early
   version 2009-08-15 : changed all the filenames back to without -2

   This file contains the list of all the JavaScript files
   that are necessary for the rest of the pages.
   This should remove the need to change all the files
   if the list changes.
*/

document.write('<link href="'+prfx+'JSgui/ygwm.css" rel="stylesheet" type="text/css">\n');

var js_list=new Array (
 'JSgui/ygwm.js',
 'JSgui/page_pre.js',
 'JSgui/yasep_messages.js',
 'JSgui/filefox.js',

 'JScore/txt_int.js',
 'JScore/yasep_forms.js',
 'JScore/yasep_fields.js',
 'JScore/yasep_flags.js',
 'JScore/yasep_opcodes.js',
 'JScore/yasep_groups.js',
 'JScore/yasep_conditions.js',

 'JScore/group_eu.js', // parts of the future simulator
 'JScore/group_ctl.js',
 'JScore/group_asu.js',
 'JScore/group_rop2.js',
 'JScore/group_shl.js',
 'JScore/group_ie.js',
 'JScore/group_mul.js',
 'JScore/group_rsv.js',

 'JScore/yasep_pseudo.js',
 'JScore/yasep_asm.js',
 'JScore/yasep_disasm.js',
 'JSgui/floating_asm.js'
);

if (typeof prfx=='string') {
  for (var i=0; i<js_list.length; i++)
    document.write('<script type="text/javascript" src="'+prfx+js_list[i]+'"></script>\n');
}
else
  document.write('<p>Error : variable prfx is not set</p>');
