/* yasep/JScore/yasep_groups.js
created 2007-04-13 by Yann Guidon
2007-04-16 : added SMT, PFQ, removed mask_groups
2007-11-05 : rebranding to YASEP
2008-11-30 :
 *  removing queue-related groups,
 *  de-activated several stuffs (trying to avoid feature creep)
 *  changed the values
2009-01-06 : moved groups around, removed GROUP_CMOV
2009-01-06 : cleanup, added GROUP_MUL
2009-07-28 : added Y
*/

// litteral lookup table
Y.GroupNames=new Array();

Y.newGroupName=function(name, value){
  Y[name]=value;
  Y.GroupNames[value]=name;
}

// 8 groups of 8 functions :
Y.newGroupName("GROUP_IE"  ,0x0);
Y.newGroupName("GROUP_SHL" ,0x4);
Y.newGroupName("GROUP_ROP2",0x8);
Y.newGroupName("GROUP_ASU" ,0xC);
Y.newGroupName("GROUP_MUL" ,0x10);
Y.newGroupName("GROUP_CTL" ,0x14);
//Y.newGroupName("GROUP_"  ,0x18); // reserved for later
Y.newGroupName("GROUP_RSV" ,0x1C); // must come last
