/*
 arf/arf.js
 version 2008/08/15 : creation of ARF
*/

var frame_loaded_menu=false;
var frame_loaded_menu_postinit=null;

var frame_loaded_center=false;
var frame_loaded_center_postinit=null;

var frame_loaded_messages=false;

var add_message=function(color,msg) { alert(msg); };

 // set up later by messages/messages.js
var init_counter=0;

var cookieJar=null;
var oneCookie;


// cookie management :
function retrieveCookie( cookieName ) {
  if (cookieJar==null)
    cookieJar=document.cookie.split( "; " );
  for( var x = 0; x < cookieJar.length; x++ ) {
    oneCookie = cookieJar[x].split( "=" );
    if( oneCookie[0] == escape( cookieName ) )
      return unescape( oneCookie[1] );
  }
  return null;
}

function setCookie( cookieName, cookieValue ) {
  var found=false;
  var e_cookieName=escape(cookieName);
  var e_cookieValue=escape(cookieValue);
  var t=""; // temporary string
  var expiration_date = (new Date((new Date()).getTime()+2000000000)).toGMTString();
  if (cookieJar==null)
    cookieJar=document.cookie.split( "; " );

  var x=0; // search and replace the desired entry
  while (x < cookieJar.length) {
    oneCookie = cookieJar[x].split( "=" );
    if(oneCookie[0] == e_cookieName) {
      found=true;
      cookieJar[x]=e_cookieName+"="+e_cookieValue;
    }
    t+=cookieJar[x]+"; ";
    x++;
  }

  // add the entry if not found
  if (found==false) {
    cookieJar[x]=e_cookieName+"="+e_cookieValue;
    t+=cookieJar[x]+"; ";
  }

  add_message("blue"," new cookie value: "+t);

  // update the cookie string
  document.cookie = t + ";expires=" + expiration_date + ";path=/";
}


function init_main_frame() {

  /* wait until everything is initialised */
  if ( !frame_loaded_menu || !frame_loaded_messages || !frame_loaded_center ) {
    init_counter++;
    if (init_counter>10)
      alert("ARF failed to initialize within 2s,\nsomething may be broken :\nnetwork error, file not found or a bug...\nI'm sorry, really.");
    else
      setTimeout(init_main_frame,200); // wait a bit more
    return false;
  }

  // register all the modules
  frame_loaded_menu_postinit();
  frame_loaded_center_postinit();

  // finally : announce the good news
  add_message("green","<b>ARF</b> (<i>Almost Ready to Flash</i>) version 20080815 : ready");

  add_message("blue","cookies: "+document.cookie);

  return false;
}
