/*
  ploped2/messages/messages.js
  20080101 : copied from yasep/JSgui/yasep_messages.js
*/

var messages_id;      // HTML-ID of the message area
var msg_number=0;
var msg_list_depth=40;
var msg_new_div,msg_first_div,msg_last_div;

function reset_messages() {
  // flush the whole div :
  messages_id.innerHTML=""; // au revoir les divs, dites bonjour au ramasse-miettes !
  msg_number=0;
}

function add_message(color, msg) {
// color : severity of the message (blue, green, yellow, orange, red ...)
// msg : displayed text

  msg_number++;
  var tmp='<span style="background-color:' + color + '">' + msg_number + '</span>: ' + msg + '<br>';

  if (msg_number==1) { // first message ?
    messages_id.innerHTML=""; // flush any speculative error message.
    msg_first_div=document.createElement('div');
    msg_first_div.innerHTML=tmp;
    messages_id.appendChild(msg_first_div);
    msg_last_div=msg_first_div;
  }
  else { // next message
    if (msg_number < msg_list_depth) {
      msg_new_div=document.createElement('div');
      msg_new_div.innerHTML=tmp;
      messages_id.insertBefore(msg_new_div,msg_last_div);
      msg_last_div=msg_new_div;
    }
    else {
      msg_new_div=msg_first_div;
      msg_first_div=msg_first_div.previousSibling;
      messages_id.removeChild(msg_new_div);
      msg_new_div.innerHTML=tmp;
      messages_id.insertBefore(msg_new_div,msg_last_div);
      msg_last_div=msg_new_div;
    }
  }
}

function init_messages() {
  messages_id=document.getElementById('messages');
  window.parent.add_messages=add_message;
  window.parent.frame_loaded_messages=true;
}
