/*
    ploped.js
    version 2006-12-30
 */

/* mouse handling */
const mouse_off=0;
const mouse_drawsegment=1;
const mouse_segmentratio=2;

var mouse_status=mouse_off,
    mouse_xoffset, mouse_yoffset;

/* taken out of the CSS to keep it (almost) flexible */
var div_itembar_width=100, div_menubar_height=25, div_toolbar_width=80;


// Cette fonction est appele pour chaque bouton ou action,
// afin d'avorter l'action en cours s'il y en a une en cours.
function abort_action(ev) {
  mouse_status = mouse_off;
  
  switch(mouse_status) {
    case  mouse_drawsegment:

      return;
    case  mouse_segmentratio:

      return;
  }
}

/* same as document.getElementById(name)
   but starting from a particular node */
function recurse_DOM(name,root_id){
  if (root_id==null)
    return null;
  if (name==root_id.id)
    return root_id;
  var a=root_id.childNodes;
  if (a==null)
    return null;

  for (var i=0; i<a.length; i++) {
    var t=recurse_DOM(name,a[i]);
    if (t!=null)
      return t;
  }
  return null;
}

function name_lookup(name) {
  var rev=reverse_seglist[name];
  if (rev==null)
    return false;
  return rev;
}

// appel aprs l'init puis par window.onresize
function resize_page(ev) {
  itembar_div_id.style.width=div_itembar_width;

  menu_div_id.style.left=div_itembar_width;
  menu_div_id.style.height=div_menubar_height;

  segment_outside_id.style.top=div_menubar_height;
  segment_outside_id.style.left=div_itembar_width;

  var t=window.innerWidth-(div_toolbar_width+div_itembar_width);
  if (t>20)
    segment_outside_id.style.width=t;
  else
    segment_outside_id.style.width=20;

  t=window.innerHeight-div_menubar_height;
  if (t>20)
    segment_outside_id.style.height=t;
  else
    segment_outside_id.style.height=20;

  toolbar_div_id.style.width=div_toolbar_width;
}


/* init */

function init_page() {
  init_history();
  init_menu();
  init_itembar();
  init_toolbar();
  init_segment();

  resize_page();
  window.onresize=resize_page;
}
